Error invalid value for "--input-path"

Hello everyone, I am very new to QIIME2 and commands and all that..
I use sequences from ENA processed by 454 GS Junior instrument.. the files in FASTQ format and i am at the step where to imports the FASTQ files into a QIIME artifact..
I don't know what is wrong and I hope you can help..

Note* the command and error is as follow:

qiime tools import \

--type 'SampleData[SingleEndFastqManifestPhred33]'
--input-path sequence_data_hithamx/import_to_qiime
--output-path reads
Usage: qiime tools import [OPTIONS]
Try "qiime tools import --help" for help.

Error: Invalid value for "--input-path": Path "sequence_data_hithamx/import_to_qiime" does not exist.

Hi @hitham_Almughram,

This error is quite clear: you are providing an invalid path. That file does not exist or, more likely, contains a typo or you are pointing to the wrong location. A few tips:

  1. Always use [absolute paths](https://en.wikipedia.org/wiki/Path_(computing)#Absolute_and_relative_paths
  2. drag and drop a file or directory into your terminal window and the terminal will write out the full path.
  3. You can test whether a path exists by using the ls command. So type this into your terminal: ls sequence_data_hithamx/import_to_qiime and you will receive more or less the same error message.

Good luck!

Thank you @Nicholas_Bokulich for your replay…
I did dragged the file and doped it into the terminal and another error was there. this is what I did…
qiime tools import \

–type ‘SampleData[SingleEndFastqManifestPhred64]’
–input-path /home/qiime2/sequence_data_hithamx/import_to_qiime
–output-path reads
Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/util.py”, line 62, in parse_type
type_expr = eval(string, {‘builtins’: {}}, locals_)
File “”, line 1, in
NameError: name ‘SingleEndFastqManifestPhred64’ is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2cli/tools.py”, line 146, in import_data
view_type=input_format)
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/result.py”, line 203, in import_data
type_ = qiime2.sdk.parse_type(type_)
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/util.py”, line 82, in parse_type
" may be needed to define it." % name)
qiime2.sdk.util.UnknownTypeError: Name ‘SingleEndFastqManifestPhred64’ is not a defined QIIME type, a plugin may be needed to define it.

An unexpected error has occurred:

Name ‘SingleEndFastqManifestPhred64’ is not a defined QIIME type, a plugin may be needed to define it.

See above for debug info.

FYI: SingleEndFastqManifestPhred33 gives the same error…
and this is the list of content when I run the ls command:
ls /home/qiime2/sequence_data_hithamx/import_to_qiime
DRR018804.fastq.gz DRR018807.fastq.gz DRR018810.fastq.gz DRR018813.fastq.gz DRR018816.fastq.gz DRR018819.fastq.gz MANIFEST
DRR018805.fastq.gz DRR018808.fastq.gz DRR018811.fastq.gz DRR018814.fastq.gz DRR018817.fastq.gz DRR018820.fastq.gz metadata.yml
DRR018806.fastq.gz DRR018809.fastq.gz DRR018812.fastq.gz DRR018815.fastq.gz DRR018818.fastq.gz DRR018821.fastq.gz

@hitham_Almughram,
You are not using the import command correctly. Please follow the example in the tutorial:
https://docs.qiime2.org/2019.1/tutorials/importing/#id14

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.